import type { TurboModule } from 'react-native';
import { TurboModuleRegistry } from 'react-native';

export interface Spec extends TurboModule {
  navigate(name: string): void;

  pop(): void;
}

export default TurboModuleRegistry.getEnforcing<Spec>(
  'NavigationManager',
) as Spec;
